<?php  
error_reporting(E_ALL & ~E_NOTICE);
$did_submit = $_POST['did_submit'];

//var_dump($_POST);
//var_dump echos all the data out from what ever variable you put in its argument	

if($did_submit){

//filter_var($dirty_data, FILTER, options) cleans our data
 $name = filter_var($_POST["name"], FILTER_SANITIZE_STRING);
 $age = filter_var($_POST["age"], FILTER_SANITIZE_STRING);
 $gender = filter_var($_POST["gender"], FILTER_SANITIZE_STRING);
 $cups = filter_var($_POST["cups"], FILTER_SANITIZE_STRING);
 $work = filter_var($_POST["work"], FILTER_SANITIZE_STRING);
 $items = filter_var($_POST["items"], FILTER_SANITIZE_STRING);
 $agree = filter_var($_POST['agree'], FILTER_SANITIZE_STRING);
 $email = filter_var($_POST["email"], FILTER_SANITIZE_EMAIL);

//$double_quotes = 'Stuff'
//echo "$double_quotes" => 'Stuff'
//vs
//echo '$double_quotes' => '$double_quotes' 

//this is an array
$coffee = $_POST["coffee"];

if(is_array($coffee)){
	//is_array checks to see if ($coffee) is an array data type
	$coffee = filter_var_array($coffee, FILTER_SANITIZE_STRING);
}

//get individual items out of the coffee array
if(!empty($coffee)){
//checking to see if there are items in the array 
	$num = count($coffee); //gets the number of items in the array

	for($i = 0; $i < $num; $i++){
		$coffee_item .= ($coffee[$i].' ');
	}//end for loop
}//end if not empty

//PHP Validation
$valid = true;

if($age < 10){
	$valid = false;
	$message = 'You either missed filling out your age or you are less than 10.<br>';
}

if($gender == ''){
	$valid = false;
	$message .= 'Please choose a gender value.<br>';
}

//! means not - because of that the bad email renders as true
if( !filter_var($email, FILTER_VALIDATE_EMAIL) ){
	$valid = false;
	$message .= 'Please provide a valid email address.<br>';
}

if($agree != 'on'){
	$valid = false;
	$message .= 'Please check the box that says you agree to our TOS<br>';
}

//IF $valid is still true, process the mail
if($valid){
//or $valid == true
	//create the content for the mail function
	$to = 'trish@test.com'; //a valid email address goes here
	$subject = 'Coffee Survey Results';

	$body = "Name: $name \n";
	$body .= "Age: $age \n";
	$body .= "Gender: $gender \n";
	$body .= "Cups of Coffee/Day: $cups \n";
	$body .= "Work Status: $work \n";
	$body .= "Items: $items \n";
	$body .= "Time of Day: $coffee_item \n";
	$body .= "eMail: $email \n";

	$header = "From: $email \r\n";
	$header .= "Reply-to: $email \r\n";

//	echo $to.' '.$subject.' '.$body.' '.$header;

	//$mail_sent = mail($to, $subject, $body, $header);
	//local server has mail exchange error message to force validation we are setting mail_sent to 1 as if it worked
	//TODO: On a live server get rid of the line below and uncomment the $mail_sent above;
	$mail_sent = 1;

	if($mail_sent){
		//if $mail_sent is 1 it has successfully sent the email
		$message = "You have successfully subscribed to our newsletter. Thank you for filling out this survey. Deals should be flowing into your inbox shortly.";
	} //end if mail_sent

}//end if valid

}//end did_submit








//no close PHP